import { View } from "react-native";
import { SwitchBox } from "./SwitchBox";

export const Footer = (props) => {
  const {
    trainIDSwitch,
    setTrainIDSwitch,
    trainDescriptionSwitch,
    setTrainDescriptionSwitch,
    finalSwitch,
    setFinalSwitch,
  } = props;

  return (
    <View style={{ flexDirection: "row", padding: 10, alignItems: "center" }}>
      <SwitchBox
        value={trainIDSwitch}
        setValue={setTrainIDSwitch}
        setKey="LEDSettings/trainIDSwitch"
        title="種別名 / 列番"
      />
      <View style={{ flex: 1 }} />
      <SwitchBox
        value={trainDescriptionSwitch}
        setValue={setTrainDescriptionSwitch}
        setKey="LEDSettings/trainDescriptionSwitch"
        title="列車情報"
      />
      <View style={{ flex: 1 }} />
      <SwitchBox
        value={finalSwitch}
        setValue={setFinalSwitch}
        setKey="LEDSettings/finalSwitch"
        title="当駅止表示"
      />
    </View>
  );
};
