import React, { FC } from "react";
import { Platform, Text, TextStyle, View } from "react-native";
export const StationName: FC<{
  stringData: { Station_JP: string; Station_EN: string };
  ss: TextStyle;
}> = (props) => {
  const { stringData, ss } = props;
  return (
    <View style={ss}>
      <Text style={styleSheet}>{stringData.Station_JP}</Text>
      <Text style={styleSheet}>{stringData.Station_EN}</Text>
    </View>
  );
};

const styleSheet: TextStyle = {
  fontWeight: "bold",
  fontSize: Platform.OS === "ios" ? parseInt("14%") : parseInt("15%"),
  color: "white",
  flex: 1,
  textAlignVertical: "center",
};
