import React from "react";
import { View } from "react-native";
import { WebView } from "react-native-webview";
import { BigButton } from "./components/atom/BigButton";
export default ({ navigation: { navigate }, route }) => {
  const { info, goTo, useShow } = route.params;
  const onExit = () => {
    navigate(goTo || "Apps");
    useShow && useShow();
  };
  return (
    <View style={styles}>
      <WebView
        useWebKit
        source={{ uri: info.replace("http://", "https://") }}
      />
      <BigButton onPress={onExit} string="閉じる" />
    </View>
  );
};
const styles = { height: "100%", backgroundColor: "#0099CC" };
